<div class="damage-selector">
  <span class="damage-selector-label">
    {{ label }}
  </span>

  <div class="damage-selector-body">
    <svg class="img-responsive" viewBox="0 0 500 700">
      <defs>
        <pattern [id]="imageId" patternUnits="userSpaceOnUse" width="500" height="700">
          <image [attr.href]="imageUrl" x="120.625" y="86.25" width="258.75" height="527.5"></image>
        </pattern>
      </defs>
      <polygon
        class="damage-polygon"
        [attr.points]="s.points"
        [ngClass]="{selected: section === s.section}"
        *ngFor="let s of sections"
      ></polygon>
      <polygon class="car-placeholder" points="120.625,86.25 379.375,86.25 379.375,613.75 120.625,613.75" [attr.fill]="'url(#'+imageId+')'"></polygon>
    </svg>
  </div>
</div>
